import qualified Distribution.FieldGrammar as Data
--Schreibe eine Funktion welches folgende Sachen erledigt
--1. eliminiere alle doppelten Elemente aus der Liste
--2. Sortiere die verbliebenen Elemente von klein nach groß
--3. gebe die Liste anschließend rückwärts heraus

--Nutze dafür Methoden aus dem module Data.List
--Achtung nutze den richtigen Typ von Import, ansonsten kann es zu name clashes kommen


--Import



--Funktion
uniqueReverseList ::  --hier in der Zeile fehlt noch etwas. Tipp: man muss Werte auf gleichheit und verhältnis überprüfen können;)


main = do
	
	let x = uniqueReverseList [2,1,13,1,27,71,59,43] == [71,59,43,27,13,2,1]
	let y = uniqueReverseList "abcde" == "edcba"
	
	if x == y
	then putStrLn "Funktion funktioniert"
	else putStrLn "Funktion funktioniert nicht"
